package Shipment::UPS::WSDL::TrackTypes::CODType;
$Shipment::UPS::WSDL::TrackTypes::CODType::VERSION = '3.02';
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns {'http://www.ups.com/XMLSchema/XOLTWS/Track/v2.0'}

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{    # BLOCK to scope variables

    my %Amount_of : ATTR(:get<Amount>);
    my %Status_of : ATTR(:get<Status>);
    my %ControlNumber_of : ATTR(:get<ControlNumber>);

    __PACKAGE__->_factory(
        [   qw(        Amount
              Status
              ControlNumber

              )
        ],
        {   'Amount'        => \%Amount_of,
            'Status'        => \%Status_of,
            'ControlNumber' => \%ControlNumber_of,
        },
        {   'Amount' => 'Shipment::UPS::WSDL::TrackTypes::AmountType',
            'Status' => 'Shipment::UPS::WSDL::TrackTypes::CODStatusType',
            'ControlNumber' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        },
        {

            'Amount'        => 'Amount',
            'Status'        => 'Status',
            'ControlNumber' => 'ControlNumber',
        }
    );

}    # end BLOCK


1;

__END__

=pod

=encoding UTF-8

=head1 NAME

Shipment::UPS::WSDL::TrackTypes::CODType

=head1 VERSION

version 3.02

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
CODType from the namespace http://www.ups.com/XMLSchema/XOLTWS/Track/v2.0.

=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Amount

=item * Status

=item * ControlNumber

=back

=head1 NAME

Shipment::UPS::WSDL::TrackTypes::CODType

=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # Shipment::UPS::WSDL::TrackTypes::CODType
   Amount =>  { # Shipment::UPS::WSDL::TrackTypes::AmountType
     CurrencyCode =>  $some_value, # string
     MonetaryValue =>  $some_value, # string
   },
   Status =>  { # Shipment::UPS::WSDL::TrackTypes::CODStatusType
     Code =>  $some_value, # string
     Description =>  $some_value, # string
   },
   ControlNumber =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=head1 AUTHOR

Andrew Baerg <baergaj@cpan.org>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2018 by Andrew Baerg.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
